"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.addEventListener = void 0;
exports.multiply = multiply;
exports.removeAllEventListeners = void 0;

var _reactNative = require("react-native");

var _HyperKycEvents = _interopRequireDefault(require("./HyperKycEvents"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// src/index.tsx
const LINKING_ERROR = `The package 'react-native-hyperkyc-sdk' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const HyperkycSdk = _reactNative.NativeModules.HyperkycSdk ? _reactNative.NativeModules.HyperkycSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
const {
  addEventListener,
  removeAllEventListeners
} = _HyperKycEvents.default; // Export any native methods if needed

exports.removeAllEventListeners = removeAllEventListeners;
exports.addEventListener = addEventListener;

function multiply(a, b) {
  return HyperkycSdk.multiply(a, b);
} // You can also export the full native module if needed:


var _default = { ...HyperkycSdk,
  addEventListener,
  removeAllEventListeners
};
exports.default = _default;
//# sourceMappingURL=index.js.map