// src/index.tsx
import { NativeModules, Platform } from 'react-native';
import HyperKycEvents from './HyperKycEvents';
const LINKING_ERROR = `The package 'react-native-hyperkyc-sdk' doesn't seem to be linked. Make sure: \n\n` + Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const HyperkycSdk = NativeModules.HyperkycSdk ? NativeModules.HyperkycSdk : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
export const {
  addEventListener,
  removeAllEventListeners
} = HyperKycEvents; // Export any native methods if needed

export function multiply(a, b) {
  return HyperkycSdk.multiply(a, b);
} // You can also export the full native module if needed:

export default { ...HyperkycSdk,
  addEventListener,
  removeAllEventListeners
};
//# sourceMappingURL=index.js.map