require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "react-native-hyperkyc-sdk"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.homepage     = package["homepage"]
  s.license      = package["license"]
  s.authors      = package["author"]

  s.platforms    = { :ios => "11.0" }
  s.source       = { :git => "http://github.com/hyperverge/react-native-hyperkyc-sdk.git", :tag => "#{s.version}" }

  s.source_files = "ios/**/*.{h,m,mm,swift}"
  s.static_framework = true

  s.dependency "React-Core"
  s.dependency "HyperKYC", "0.48.0"
  # Need these lines to support HyperKYC framework
  s.preserve_paths = 'HyperKYC.framework'
  s.xcconfig = { 'OTHER_LDFLAGS' => '-framework HyperKYC' }
  s.vendored_frameworks = 'HyperKYC.framework'
  
end
